# workflows versions defaults create

## Synopsis

### Create Workflow Defaults

```shell
omics workbench workflows versions defaults create [DEFAULT_ID]
[--namespace=NAMESPACE]
[--workflow=WORKFLOW_ID]
[--version=VERSION_ID]
[--name=NAME]
[--engine=ENGINE]
[--provider=PROVIDER]
[--region=REGION]
[--values=VALUES]
```

## Description

The `defaults` commands allow you to create, describe, update, list, and delete workflow defaults for a given workflow version. Workflow defaults simplify the process of supplying inputs by providing common configuration values.

### Create Workflow Defaults

Create a new set of workflow defaults for a given workflow version. The defaults include configuration values that can be used across different backends, regions, or execution engines.

## Examples

Create workflow defaults for a given workflow and version, with a generated ID:

```shell
omics workbench workflows versions defaults create --workflow my-workflow-id --version v1 --name my-default-name --values '{"input1": "value1"}'
```

Create workflow defaults with a specific engine and region:

```shell
omics workbench workflows versions defaults create --workflow my-workflow-id --version v1 --name my-default-name --engine engine-id --region us-east-1 --values '{"input1": "value1"}'
```

Create workflow defaults with a specific ID:

```shell
omics workbench workflows versions defaults create my-default-id --workflow my-workflow-id --version v1 --name my-default-name --values '{"input1": "value1"}'
```

Create workflow defaults by loading values from a JSON file:

```shell
omics workbench workflows versions defaults create --workflow my-workflow-id --version v1 --name my-default-name --values @defaults.json
```

Create workflow defaults using key-value syntax:

```shell
omics workbench workflows versions defaults create --workflow my-workflow-id --version v1 --name my-default-name --values foo=bar
```

## Flags:

### `--namespace`=`STRING`

An optional flag to define the namespace to connect to. By default, the namespace is extracted from the user's credentials.

### `--workflow`=`STRING`

The ID of the workflow to which the defaults will be added.

### `--version`=`STRING`

The ID of the workflow version to which the defaults will be added.

### `--name`=`STRING`

The name for the workflow defaults. This is a required property.

### `--engine`=`STRING`

The selector to use when creating the defaults. This can be used to target a specific execution engine.

### `--provider`=`STRING`

The provider selector to use when creating the defaults. This helps in specifying the backend provider.

### `--region`=`STRING`

The region selector to use when creating the defaults. This helps in specifying the region for execution.

### `--values`=`JSON`

The configuration values to use when creating the defaults. This must be a non-empty JSON object that contains key-value pairs for the workflow inputs.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-defaults-create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
